Package ej.bluetooth.listeners.impl

## Class DefaultRemoteServiceListener

- java.lang.Object
- - ej.bluetooth.listeners.impl.DefaultRemoteServiceListener

- All Implemented Interfaces:
    `RemoteServiceListener`

      public class DefaultRemoteServiceListener
      extends Object
      implements RemoteServiceListener

  The `DefaultRemoteServiceListener` class provides a default implementation of the `RemoteServiceListener` interface.

  The implementation of each method does nothing.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultRemoteServiceListener()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onNotificationReceived​(BluetoothConnection connection, BluetoothCharacteristic characteristic, byte[] value)` | Called when a characteristic notification or indication is received.
    `void` | `onReadCompleted​(BluetoothConnection connection, BluetoothAttribute attribute, byte status, byte[] value)` | Called when a response to a read request is received.
    `void` | `onWriteCompleted​(BluetoothConnection connection, BluetoothAttribute attribute, byte status)` | Called when a response to a write request is received.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultRemoteServiceListener

          public DefaultRemoteServiceListener()

  - ### Method Detail

    - #### onReadCompleted

          public void onReadCompleted​(BluetoothConnection connection,
                                      BluetoothAttribute attribute,
                                      byte status,
                                      byte[] value)

      Description copied from interface: `RemoteServiceListener`
      Called when a response to a read request is received.
      Specified by:
        `onReadCompleted` in interface `RemoteServiceListener`
      Parameters:
        `connection` - the connection with the device which has sent the response.
        `attribute` - the attribute which was read.
        `status` - the response status (see `BluetoothStatus`).
        `value` - the value of the attribute.
      See Also:
        `BluetoothConnection.sendReadRequest(BluetoothAttribute)`

    - #### onWriteCompleted

          public void onWriteCompleted​(BluetoothConnection connection,
                                       BluetoothAttribute attribute,
                                       byte status)

      Description copied from interface: `RemoteServiceListener`
      Called when a response to a write request is received.
      Specified by:
        `onWriteCompleted` in interface `RemoteServiceListener`
      Parameters:
        `connection` - the connection with the device which has sent the response.
        `attribute` - the attribute which was written.
        `status` - the response status (see `BluetoothStatus`).
      See Also:
        `BluetoothConnection.sendWriteRequest(BluetoothAttribute, byte[])`

    - #### onNotificationReceived

          public void onNotificationReceived​(BluetoothConnection connection,
                                             BluetoothCharacteristic characteristic,
                                             byte[] value)

      Description copied from interface: `RemoteServiceListener`
      Called when a characteristic notification or indication is received.
      Specified by:
        `onNotificationReceived` in interface `RemoteServiceListener`
      Parameters:
        `connection` - the connection with the device which has sent the notification.
        `characteristic` - the characteristic which has changed.
        `value` - the value of the characteristic.